export interface CreateStockConfigDto {
    PageID: number;
    itemID: number;
    itemType: 'PRODUCT' | 'MATERIAL';
    priorityLevel?: number;
    targetStockLevel?: number;
    status?: string;
  }
  
  export interface UpdateStockConfigDto {
    priorityLevel?: number;
    targetStockLevel?: number;
    status?: string;
  }
  
  export interface BatchUpdateManyStockConfigDto {
    configs: {
      id: number;
      priorityLevel: number;
      targetStockLevel: number;
      status: string;
    }[];
  }
  